<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseFlightRoute StructType
 * @subpackage Structs
 */
class JP_CruiseFlightRoute extends AbstractStructBase
{
    /**
     * The Segments
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CruiseSegment
     */
    public $Segments;
    /**
     * Constructor method for JP_CruiseFlightRoute
     * @uses JP_CruiseFlightRoute::setSegments()
     * @param \ArrayType\ArrayOfJP_CruiseSegment $segments
     */
    public function __construct(\ArrayType\ArrayOfJP_CruiseSegment $segments = null)
    {
        $this
            ->setSegments($segments);
    }
    /**
     * Get Segments value
     * @return \ArrayType\ArrayOfJP_CruiseSegment|null
     */
    public function getSegments()
    {
        return $this->Segments;
    }
    /**
     * Set Segments value
     * @param \ArrayType\ArrayOfJP_CruiseSegment $segments
     * @return \StructType\JP_CruiseFlightRoute
     */
    public function setSegments(\ArrayType\ArrayOfJP_CruiseSegment $segments = null)
    {
        $this->Segments = $segments;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseFlightRoute
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
